Native plugin ionic-native/file error in ios but in android o.k


#1

Hi all,
I wrote an app for android and it works fine. The same app in ios has problems with the native plugin file.

my environment:
ionic info

cli packages: (/usr/lib/node_modules)

@ionic/cli-utils  : 1.19.0
ionic (Ionic CLI) : 3.19.0

global packages:

cordova (Cordova CLI) : 8.0.0 

local packages:

@ionic/app-scripts : 3.0.0
Cordova Platforms  : android 6.3.0 ios 4.5.4
Ionic Framework    : ionic-angular 3.7.1

System:

Node : v6.12.0
npm  : 3.10.10 
OS   : Linux 3.10

Environment Variables:

ANDROID_HOME : not set

Misc:

backend : legacy

cordova info
Collecting Data…

Node version: v6.12.0

Cordova version: 8.0.0

Config.xml file:

<?xml version='1.0' encoding='utf-8'?> soPinSafe An awesome Ionic/Cordova app. Ionic Framework Team

Plugins:

cordova-plugin-camera,cordova-plugin-device,cordova-plugin-file,cordova-plugin-ftp,cordova-plugin-ionic-webview,cordova-plugin-ios-camera-permissions,cordova-plugin-splashscreen,cordova-plugin-statusbar,cordova-plugin-whitelist,cordova-sqlite-storage,ionic-plugin-keyboard,uk.co.workingedge.cordova.plugin.sqliteporter

Android platform:


The “android” command is deprecated.
For manual SDK, AVD, and project management, please use Android Studio.
For command-line tools, use tools/bin/sdkmanager and tools/bin/avdmanager


Running /home/loedv/Android/Sdk/tools/bin/avdmanager list target

Available Android targets:==============] 100% Fetch remote repository…

id: 1 or "android-24"
Name: Android API 24
Type: Platform
API level: 24
Revision: 2

id: 2 or "android-25"
Name: Android API 25
Type: Platform
API level: 25
Revision: 3

id: 3 or "android-26"
Name: Android API 26
Type: Platform
API level: 26
Revision: 2

Error retrieving iOS platform information: Error: xcodebuild: Command failed with exit code ENOENT

No File function (listDir, checkFile … is working on IOS !!

Can anyone help ??


#2

Is it possible, that ionic view do not support this plugin ??